# GESErrors

## Enumerations

### GESError

##### Members

`GES_ERROR_ASSET_WRONG_ID` (0) –

The ID passed is malformed

`GES_ERROR_ASSET_LOADING` (1) –

An error happened while loading the asset

`GES_ERROR_FORMATTER_MALFORMED_INPUT_FILE` (2) –

The formatted files was malformed

`GES_ERROR_INVALID_FRAME_NUMBER` (3) –

The frame number is invalid

`GES_ERROR_NEGATIVE_LAYER` (4) –

The operation would lead to a negative GES_TIMELINE_ELEMENT_LAYER_PRIORITY. (Since: 1.18)

`GES_ERROR_NEGATIVE_TIME` (5) –

The operation would lead to a negative time. E.g. for the start duration or in-point. (Since: 1.18)

`GES_ERROR_NOT_ENOUGH_INTERNAL_CONTENT` (6) –

Some GESTimelineElement does not have a large enough max-duration to cover the desired operation. (Since: 1.18)

`GES_ERROR_INVALID_OVERLAP_IN_TRACK` (7) –

The operation would break one of the overlap conditions for the GESTimeline. (Since: 1.18)

`GES_ERROR_INVALID_EFFECT_BIN_DESCRIPTION` (8) –
No description available

### GES.Error

##### Members

`GES.Error.ASSET_WRONG_ID` (0) –

The ID passed is malformed

`GES.Error.ASSET_LOADING` (1) –

An error happened while loading the asset

`GES.Error.FORMATTER_MALFORMED_INPUT_FILE` (2) –

The formatted files was malformed

`GES.Error.INVALID_FRAME_NUMBER` (3) –

The frame number is invalid

`GES.Error.NEGATIVE_LAYER` (4) –

The operation would lead to a negative GES_TIMELINE_ELEMENT_LAYER_PRIORITY (not introspectable). (Since: 1.18)

`GES.Error.NEGATIVE_TIME` (5) –

The operation would lead to a negative time. E.g. for the start duration or in-point. (Since: 1.18)

`GES.Error.NOT_ENOUGH_INTERNAL_CONTENT` (6) –

Some GES.TimelineElement does not have a large enough max-duration to cover the desired operation. (Since: 1.18)

`GES.Error.INVALID_OVERLAP_IN_TRACK` (7) –

The operation would break one of the overlap conditions for the GES.Timeline. (Since: 1.18)

`GES.Error.INVALID_EFFECT_BIN_DESCRIPTION` (8) –
No description available

### GES.Error

##### Members

`GES.Error.ASSET_WRONG_ID` (0) –

The ID passed is malformed

`GES.Error.ASSET_LOADING` (1) –

An error happened while loading the asset

`GES.Error.FORMATTER_MALFORMED_INPUT_FILE` (2) –

The formatted files was malformed

`GES.Error.INVALID_FRAME_NUMBER` (3) –

The frame number is invalid

`GES.Error.NEGATIVE_LAYER` (4) –

The operation would lead to a negative GES_TIMELINE_ELEMENT_LAYER_PRIORITY (not introspectable). (Since: 1.18)

`GES.Error.NEGATIVE_TIME` (5) –

The operation would lead to a negative time. E.g. for the start duration or in_point. (Since: 1.18)

`GES.Error.NOT_ENOUGH_INTERNAL_CONTENT` (6) –

Some GES.TimelineElement does not have a large enough max_duration to cover the desired operation. (Since: 1.18)

`GES.Error.INVALID_OVERLAP_IN_TRACK` (7) –

The operation would break one of the overlap conditions for the GES.Timeline. (Since: 1.18)

`GES.Error.INVALID_EFFECT_BIN_DESCRIPTION` (8) –
No description available

## Constants

### GES_ERROR

    #define GES_ERROR g_quark_from_static_string("GES_ERROR")

An error happened in GES

The results of the search are